import App from './App'

import Vue from 'vue'
import './uni.promisify.adaptor'

import LoginOpen from '@/components/login.vue'
Vue.component('LoginOpen', LoginOpen)

import http from './http.js'
// 挂载到Vue原型
Vue.prototype.$http = http
import uView from '@/uni_modules/uview-ui'
Vue.use(uView)
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
  ...App
})
app.$mount()
